
Foreman - Bug #18955

The search of "Hosts > Provisioning Templates" raised Error Page

03/19/2017 09:36 AM - Kobi Hakimi

Status: Duplicate   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.12.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Detected on Foreman Version: 1.12.4

Scenario:

1. Open the Foreman in "Hosts > Provisioning Templates"

2. Type some word in the search text box(see attached screenshot)

Actual Result:

Get the following Error(as you can see in the attached screenshot)

Oops, we're sorry but something went wrong PG::Error: ERROR: invalid reference to FROM-clause entry for table "hostgroups" LINE

1: SELECT hostgroups.id FROM "hostgroups" "hostgroups_template_... ^ HINT: Perhaps you meant to reference the table alias

"hostgroups_template_combinations". : SELECT hostgroups.id FROM "hostgroups" "hostgroups_template_combinations"

Expected Result:

Get search result without any error.

Related issues:

Is duplicate of Foreman - Bug #15498: Search for templates in org/location re... Closed 06/22/2016

History

#1 - 03/19/2017 11:57 AM - Ori Rabin

- Is duplicate of Bug #15498: Search for templates in org/location results in "invalid reference to FROM-clause entry for table "hostgroups"" added

#2 - 03/19/2017 11:57 AM - Ori Rabin

- Status changed from New to Duplicate
